package net.pharmatrak.babelj;

/**
 * <blockquote><i>
 * Babelj is a language server library for Java.
 * Copyright (C) 1999  Pharmatrak
 * <p>
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * <p>
 * </i></blockquote>
 *
 * @author  Timothy W Macinta (twm@alum.mit.edu)
 **/

public class ObjectTypes {

  public static final String NULL = "null";

  public static final String VOID = "void";

  public static final String EXCEPTION = "exception";

  public static final String VAR = "var";

  public static final String STRING = "string";

  public static final String INTEGER = "int";

  public static final String LONG = "long";

  public static final String DOUBLE = "double";

  public static final String FLOAT = "float";

  public static final String BYTE = "byte";

  public static final String SHORT = "short";

  public static final String BOOLEAN = "boolean";

  public static final String ARRAY = "array";

  public static final String REF = "ref";


}
