package net.pharmatrak.babelj;

/**
 * <blockquote><i>
 * Babelj is a language server library for Java.
 * Copyright (C) 1999  Pharmatrak
 * <p>
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * <p>
 * </i></blockquote>
 *
 * @author  Timothy W Macinta (twm@alum.mit.edu)
 **/

public class Commands {

  public static final String BABELJ_VERSION = "babelj_version";

  public static final String LOGOUT = "logout";

  public static final String METHOD_CALL = "method_call";

  public static final String STATIC_METHOD_CALL = "static_method_call";

  public static final String NEW_INSTANCE = "new_instance";

  public static final String GET_FIELD = "get_field";

  public static final String GET_STATIC_FIELD = "get_static_field";

  public static final String FREE_REF = "free_ref";

}
