package net.pharmatrak.babelj.test;

/**
 * <blockquote><i>
 * Babelj is a language server library for Java.
 * Copyright (C) 1999  Pharmatrak
 * <p>
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * <p>
 * </i></blockquote>
 *
 * @author  Timothy W Macinta (twm@alum.mit.edu)
 **/

public class HelloWorld {

  public static void main(String[] arg) {
    try {
      String greetings = "Hello world!";
      if (arg.length > 0) greetings = arg[0];
      
      // Here's how you use the client

      BabeljJavaClient client = new BabeljJavaClient();
      client.connect();
      Object sys_out = client.getStaticField("java.lang.System", "out");
      Object[] oa = {greetings};
      Object[] ot = {"string"};
      client.methodCall(sys_out, "println", oa, ot);
      client.disconnect();

    } catch (Exception e) {
      e.printStackTrace();
    }
  }

}
